Description

1.i18n bug during deployement, when page is reloaded is redirects to page 404 not found.

Associated revisions

Revision 081dc5ca - 23/05/2024 04:40 PM - Adarsh Shukla
refs redmine #19613, Added HashLocationStatergy for i18n issue.

History

#1 - 23/05/2024 01:39 PM - Adarsh Shukla

- Status changed from New to In Progress

#2 - 23/05/2024 02:59 PM - Adarsh Shukla
- % Done changed from 0 to 40

This issue occurs in the angular applications as it uses PathLocationStrategy by default.
| found two ways to solve this issue: one from the client side (Angular) and another from the deployment server side (Nginx).

1. To solve this issue from client side(angular), we need to use HashLocationStrategy instead of PathLocationStrategy which is by default,
implementing HashLocationStrategy has some benefits in terms of deep linking, no need of extra configuration from server side but also some
cons in term of SEO optimization and it adds '#' in the url segment.

2. To solve this issue from the server side, we need to write some rewrite rules in the Nginx config file, which tell the server where to locate the
index.html file based on the locales.

client side reference

server side configurantion reference1
Reference

Refernece under deployement section

| had a talk with Sachin regarding this issue, and based on his suggestion, | proceeded to use the client-side approach to solve it.

#3 - 23/05/2024 04:42 PM - Adarsh Shukla
- % Done changed from 40 to 80

#4 - 24/05/2024 12:46 PM - Adarsh Shukla
- % Done changed from 80 to 100

- Status changed from In Progress to Closed
https://stackoverflow.com/questions/35284988/angular-2-404-error-occur-when-i-refresh-through-the-browser
https://stackoverflow.com/questions/49889093/nginx-configuration-for-angular-i18n-application
https://angular.io/guide/i18n-common-deploy
https://lokalise.com/blog/angular-i18n/
http://www.tcpdf.org

